package org.springblade.modules.userJwd.service;

import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.system.entity.User;
import org.springblade.modules.userJwd.entity.UserJwdEntity;
import org.springblade.modules.userJwd.vo.UserJwdVO;

import java.util.List;

public interface UserJwdService extends BaseService<UserJwdEntity> {
    List<User> getUserList();

	List<UserJwdVO> getByUserId(Long id);

	boolean isContained(String jwd, String dkfw);

	void updateStatus(UserJwdVO userJwd);
}
